<bugID>1383749<Summary>One-off buttons should be cached the first time</Summary><Description>In bug 1312999 I added code to cache the one-off buttons and rebuild them only if the textbox size changed.

Unfortunately, the current caller code sets the popup before the textbox. Setting popup causes a _rebuild call, which can't cache the textbox size as the textbox setter hasn't been called yet. This causes the reflows in bug 1357054 to happen both the first and second time the awesomebar or searchbar panel is opened, instead of only the first time.</Description></bugID>